Package nl.tudelft.simulation.dsol.animation.gis.transform

## Interface CoordinateTransform

All Known Implementing Classes:
  `CoordinateTransform.NoTransform`

    public interface CoordinateTransform

Transforms an (x, y) coordinate to a new (x', y') coordinate.

Copyright (c) 2020-2022 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information DSOL Manual. The DSOL project is distributed under a three-clause BSD-style license, which can be found at DSOL License.

Author:
  Alexander Verbraeck

### Nested Class Summary

Nested Classes
`static class` `CoordinateTransform.NoTransform` The identical transformation (x,y) => (x,y).

### Method Summary

All Methods Instance Methods Abstract Methods
`double[]` `doubleTransform​(double x, double y)` transform the (x, y) coordinate to a new (x', y') coordinate represented as a double[2].
`float[]` `floatTransform​(double x, double y)` transform the (x, y) coordinate to a new (x', y') coordinate represented as a float[2].

### Method Detail

#### floatTransform

    float[] floatTransform​(double x,
                           double y)

transform the (x, y) coordinate to a new (x', y') coordinate represented as a float[2].

Parameters:
  `x` - double; the original x-coordinate, e.g. lon in dd (double degrees)
  `y` - double; the original y-coordinate, e.g. lat in dd (double degrees)
Returns:
  the new (x', y') coordinate represented as a float[2]

#### doubleTransform

    double[] doubleTransform​(double x,
                             double y)

transform the (x, y) coordinate to a new (x', y') coordinate represented as a double[2].

Parameters:
  `x` - double; the original x-coordinate, e.g. lon in dd (double degrees)
  `y` - double; the original y-coordinate, e.g. lat in dd (double degrees)
Returns:
  the new (x', y') coordinate represented as a double[2]